<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1b / January 2019 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php');
include(CPO_BASEDIR.$directory.'/includes/producer.inc.php');
$directory = basename(dirname($_SERVER['PHP_SELF'])); 

// Sprache
$translator->addTranslation('menu',CPO_BASEDIR.$directory.'/lang');
$help = $activeModules[$directory]['help'];

if (	license($activeModules['Menu']['lkey'],$activeModules['Menu']['mod_id']) != 1 &&
		license($activeModules['Menu']['lkey'],$activeModules['Menu']['mod_id']) != 2 &&
		license($activeModules['Menu']['lkey'],$activeModules['Menu']['mod_id']) != 3 &&
		$activeModules['Menu']['installed']<(time()-90*24*60*60) && 
		!isset($_POST['go']) &&
		@file_exists(CPO_BASEDIR.$activeModules['Menu']['directory'].'/includes/producer.inc.php')
	) 
	{
	include(CPO_BASEDIR.$activeModules['Menu']['directory'].'/includes/producer.inc.php');
	$message['license'] = '<strong>'.sprintf(___('Your 90 days %s evaluation period has expired!'),
		htmlspecialchars($MOD['product'], ENT_COMPAT, 'ISO-8859-15')).'</strong> ';
	$menubreak = true;
} else {
	$menubreak = false;
}


// Seitenausgabe ********************************************************

// Header
require(CPO_BASEDIR.'_include/header.php');

include(CPO_BASEDIR.$directory.'/includes/inc_options.inc.php');

// ==== footer =====
include(CPO_BASEDIR.'_include/footer.php');

?>