<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1b / January 2019 ==

*/

// This is only needed to redirect users according to their language settings and should only be included in the root-index-file!

// Multilanguage-version
if ($activeModules['Menu']['multilanguage'] == 'yes')  {
	$multi_language = $activeModules['Menu']['defaultlanguage'];
	if (getenv('HTTP_ACCEPT_LANGUAGE') != '')  { // Sprache gem Browsereinstellung
		$multi_language = getenv('HTTP_ACCEPT_LANGUAGE');
	}
	if (isset($_GET['lang']))  { // Browsereinstellung per URL berschreiben
		$multi_language = $_GET['lang'];
	}
	// finding the first rubric in language and redirect
	if (!isset($_GET['rubric']) || $_GET['rubric']=="&")  {
		for ($i=0;$i<$num_of_items;$i++)  {
			if ($navArray[$i]['level'] != 1) continue;
			if (strstr($multi_language,$navArray[$i]['caption']))  {
				$theRubric = BASE_ABS.$navArray[$i+1]['rubric']['directory']."/index.php?rubric=";
				if ($activeModules['Menu']['rubric_link'] == 'number') $header_link = $theRubric . $navArray[$i+1]['rubric']['id'];
				if ($activeModules['Menu']['rubric_link'] == 'name')   $header_link = $theRubric . urlencode($navArray[$i+1]['rubric']['name']);
				header('Location: '.$header_link.'&'.SID);
				exit;
			}
		}
		// not found? take the default!
		for ($i=0;$i<$num_of_items;$i++)  {
			if ($navArray[$i]['level'] != 1) continue;
			if (strstr($activeModules['Menu']['defaultlanguage'],$navArray[$i]['caption']))  {
				$theRubric = BASE_ABS.$navArray[$i+1]['rubric']['directory']."/index.php?rubric=";
				if ($activeModules['Menu']['rubric_link'] == 'number') $header_link = $theRubric . $navArray[$i+1]['rubric']['id'];
				if ($activeModules['Menu']['rubric_link'] == 'name')   $header_link = $theRubric . urlencode($navArray[$i+1]['rubric']['name']);
				header('Location: '.$header_link.'&'.SID);
				exit;
			}
		}
	}

}

?>