<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1b / January 2019 ==

*/

if (!defined('CPO')) exit;

$local  = CPO_BASEDIR.$directory.'/_local_header.php';
$global = CPO_BASEDIR.'_cfg/global_header.php';

if (!file_exists($local) || !is_readable($local)) {
    $local .= '.dist'; 
}
if (!file_exists($global) || !is_readable($global)) {
    $global .= '.dist'; 
}

if (file_exists($global) && is_readable($global)) {
    include_once($global);
}

if (file_exists($local) && is_readable($local)) {
    include_once($local);
    return;
}

// DEPRECATED: use _local_header.php
$local  = CPO_BASEDIR.$directory.'/_category_header.php';
if (file_exists($local) && is_readable($local)) {
    include_once($local);
}
?>
