<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1a / November 2013 ==

*/

$settings = array(
// Module settings -------------------------------------------------------------------------------------
	'nav_type'=>0,
	'prefix'=>array(
		'0'	=>	'',
		'1'	=>	'',
		'2'	=>	'&#149;&nbsp;',
		'3'	=>	'&nbsp;&nbsp;&nbsp;&#149;&nbsp;'
		),
	'colors'=> array (
		'a_link'=>				'',
		'a_visited'=>			'',
		'a_active'=>			'',
		'a_hover'=>				'',
		'actual_background'=>	'',
		'actual_hover'=>		'',
		'main_background'=>		'',
		'main_hover'=>			'',
		'sub_background'=>		'',
		'sub_hover'=>			''
		),
	'classes'=> array (
		'class_main'=>		'mainNav',
		'class_base'=>		'Nav',
		'class_highlight'=>	'actNav',
		'class_header'=>	'headNav'
		),
	
// template -------------------------------------------------------------------------------------
	'nav_vert'=>'
<!-- START_MOD_MENU_NAVIGATION -->
<div class="navigation">
<!-- START_NAVITEM -->
<a href="### NAV_LINK ###" class="### NAV_CLASS ###">### NAV_PRE ###### NAV_TEXT ###</a>
<!-- ENDE_NAVITEM -->
</div>
<!-- ENDE_MOD_MENU_NAVIGATION -->',
	
	'nav_horiz'=>'',

	'levchange'=>'',

	'levend'=>'',

	'css'=>'
.navigation {
	font-family: Verdana, Tahoma, Arial, Helvetica, sans-serif;
	text-transform: uppercase;
	letter-spacing: 1px;
	font-size: 10px;
	width: 160px;
}
a.mainNav  {
	background-color: #FFFC43;
	font-weight: normal;
	padding-top: 4px;
	padding-bottom: 4px;
	padding-left: 27px;
	display: block;
	width: 100%;
}
a.mainNav:link { color: #000000; }
a.mainNav:visited { color: #000000; }
a.mainNav:hover { background-color: #FFCC33; color: #999999; }

a.headNav  {
	background-color: #FFFC43;
	font-weight: bold;
	padding-top: 4px;
	padding-bottom: 3px;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #CC3333;
	padding-left: 27px;
	display: block;
	width: 100%;
}
a.headNav:link { color: #000000; }
a.headNav:visited { color: #000000; }
a.headNav:hover { background-color: #FFCC33; color: #999999; }

.Nav {
	background-color: #FFEC33;
	color: #000000;
	display: block;
	font-weight: normal;
	padding-left: 27px;
	padding-top: 4px;
	padding-bottom: 4px;
	display: block;
	width: 100%;
}
a.Nav:link { color: #000000; }
a.Nav:visited { color: #000000; }
a.Nav:hover { background-color: #FFCC33;	color: #999999; }

.actNav {
	color: #000000;
	display: block;
	font-weight: normal;
	padding-top: 4px;
	padding-bottom: 3px;
	padding-left: 27px;
	background-color: #FFFFFF;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #CC3333;
	width: 100%;
}
a.actNav:link { color: #000000; }
a.actNav:visited { color: #000000; }
a.actNav:hover { background-color: #FFCC33;	color: #999999; }'

);


?>