<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1b / January 2019 ==

*/

$settings = array(
// Module settings -------------------------------------------------------------------------------------
    'nav_type'=>0,
	'prefix'=>array(
		'0'	=>	'',
		'1'	=>	'&nbsp;&nbsp;&#149;&nbsp;',
		'2'	=>	'&nbsp;&nbsp;&nbsp;&nbsp;&#149;&nbsp;',
		'3'	=>	'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&#149;&nbsp;'
		),
	'colors'=> array (
		'a_link'=>				'',
		'a_visited'=>			'',
		'a_active'=>			'',
		'a_hover'=>				'',
		'actual_background'=>	'',
		'actual_hover'=>		'',
		'main_background'=>		'',
		'main_hover'=>			'',
		'sub_background'=>		'',
		'sub_hover'=>			''
		),
	'classes'=> array (
		'class_main'=>		'',
		'class_base'=>		'sub',
		'class_highlight'=>	'actual',
		'class_header'=>	''
		),
	
// template -------------------------------------------------------------------------------------
	'nav_vert'=>'<!-- START_MOD_MENU_NAVIGATION -->
<div id="navvertikal">
<!-- START_NAVITEM -->
<a href="### NAV_LINK ###" class="### NAV_CLASS ###### NAV_LEVEL ###" hidefocus="true">### NAV_TEXT ###</a>
<!-- ENDE_NAVITEM -->
<div id="suche"><form name="suchergebnisse" class="result" method="get" action="../mod_search/index.php" style="display: inline;">
<input type="hidden" name="action" value="search" />
<input type="hidden" name="rubric" value="Suche" />
<input type="text" name="q" value="" class="search" /><input type="submit" value="Go" class="go" /></form></div>
</div>
<!-- ENDE_MOD_MENU_NAVIGATION -->',
	
	'nav_horiz'=>'',

	'levchange'=>'',

	'levend'=>'',

	'css'=>'
#navvertikal a {
	font-size: 12px;
	color: #F3E5D0;
	text-decoration: none;
	display: block;
	background-color: #CA4236;
	width: 120px;
	padding-left: 30px;
	margin-top: 7px;
	font-weight: bold;
	padding-top: 5px;
	padding-bottom: 5px;
	padding-right: 30px;
}
#navvertikal a.actual1 {
	font-size: 12px;
	color: #F3E5D0;
	text-decoration: none;
	display: block;
	background-color: #D49687;
	width: 120px;
	padding-left: 30px;
	margin-top: 7px;
	font-weight: bold;
	padding-top: 5px;
	padding-bottom: 5px;
	padding-right: 30px;
}
#navvertikal a.sub2 {
	font-size: 12px;
	color: #CA4236;
	text-decoration: none;
	display: block;
	background-color: #F3E5D0;
	width: 118px;
	padding-left: 30px;
	margin-top: 0;
	font-weight: bold;
	padding-top: 5px;
	padding-bottom: 5px;
	border-top: 0px solid #CA4236;
	border-right: 1px solid #CA4236;
	border-bottom: 1px solid #CA4236;
	border-left: 1px solid #CA4236;
}
#navvertikal a.sub3 {
	font-size: 10px;
	color: #CA4236;
	text-decoration: none;
	display: block;
	background-color: #F3E5D0;
	width: 108px;
	padding-left: 40px;
	margin-top: 0;
	font-weight: bold;
	padding-top: 0px;
	padding-bottom: 0px;
	border-top: none;
	border-right: 1px solid #CA4236;
	border-bottom: 1px solid #CA4236;
	border-left: 1px solid #CA4236;
}
#navvertikal a.actual2 {
	font-size: 12px;
	color: #CA4236;
	text-decoration: none;
	display: block;
	background-color: #D49687;
	width: 118px;
	padding-left: 30px;
	margin-top: 0;
	font-weight: bold;
	padding-top: 5px;
	padding-bottom: 5px;
	border-top: 0px solid #CA4236;
	border-right: 1px solid #CA4236;
	border-bottom: 1px solid #CA4236;
	border-left: 1px solid #CA4236;
}
#navvertikal a.actual3 {
	font-size: 10px;
	color: #CA4236;
	text-decoration: none;
	display: block;
	background-color: #D49687;
	width: 108px;
	padding-left: 40px;
	margin-top: 0;
	font-weight: bold;
	padding-top: 0px;
	padding-bottom: 0px;
	border-top: 0px solid #CA4236;
	border-right: 1px solid #CA4236;
	border-bottom: 1px solid #CA4236;
	border-left: 1px solid #CA4236;
}
'

);


?>