<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Menu"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version 4.1a / November 2013 ==

*/

$settings = array(
// Module settings -------------------------------------------------------------------------------------
	'nav_type'=>3,
	'prefix'=>array(
		'0'	=>	'',
		'1'	=>	'&nbsp;&nbsp;&#149;&nbsp;',
		'2'	=>	'&nbsp;&nbsp;&nbsp;&nbsp;&#149;&nbsp;',
		'3'	=>	'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&#149;&nbsp;'
		),
	'colors'=> array (
		'a_link'=>				'',
		'a_visited'=>			'',
		'a_active'=>			'',
		'a_hover'=>				'',
		'actual_background'=>	'',
		'actual_hover'=>		'',
		'main_background'=>		'',
		'main_hover'=>			'',
		'sub_background'=>		'',
		'sub_hover'=>			''
		),
	'classes'=> array (
		'class_main'=>		'',
		'class_base'=>		'sub',
		'class_highlight'=>	'active',
		'class_header'=>	'active'
		),
	
// template -------------------------------------------------------------------------------------
	'nav_vert'=>'<!-- START_MOD_MENU_NAVIGATION -->
<div id="navtable">
<!-- START_NAVITEM -->
<a href="### NAV_LINK ###" class="### NAV_CLASS ###">### NAV_PRE ###### NAV_TEXT ###</a>
<!-- ENDE_NAVITEM -->
</div>
<!-- ENDE_MOD_MENU_NAVIGATION -->',
	
	'nav_horiz'=>'<!-- START_MOD_MENU_NAVIGATION -->
<table border="0" cellpadding="0" cellspacing="0" id="navTable">
	<tr>
<!-- START_NAVITEM -->
		<td><a href="### NAV_LINK ###" class="### NAV_CLASS ###">### NAV_TEXT ###</a></td>
<!-- ENDE_NAVITEM -->
	  </tr>
</table>
<!-- ENDE_MOD_MENU_NAVIGATION -->

',

	'levchange'=>'',

	'levend'=>'',

	'css'=>'
#navTable {
	border: 0px;
	margin: 0px;
	padding: 0px;
	height: 40px;
	width: 100%;
	background-color: #c7c5c1;
}
#navTable td {
	text-align: center;
	vertical-align: middle;
}
#navTable a {
	text-decoration: none;
	display: block;
	padding-top: 13px;
	padding-bottom: 14px;
	width:100%;
	}
#navTable a:hover {
	background-color: #2b0161;
	color: #FFFFFF;
	}
.active {
	background-color: #2b0161;
	color: #FFFFFF;
	}
'
);


?>